;+
;NAME:
; thm_ui_mag_stationlist
;PURPOSE:
; creates an array for different ground magnetometer stations, to be
; used in a list widget
;CALLING SEQUENCE:
; mag_stationlist = thm_ui_mag_stationlist()
;INPUT:
; none
;OUTPUT:
; mag_stationlist = ['ALL', 'BMLS', 'DRBY', 'FYKN', 'GAKO', 'GBAY',
; 'KAPU', 'LOYS', 'PGEO', 'PTRS', 'SWNO', 'UKIA', 'CCNV', 'EKAT',
; 'FYTS', 'HOTS', 'KIAN', 'MCGR', 'PINE', 'RMUS', 'TPAS', 'WHIT']
;
;$LastChangedBy$ J McTiernan
;$LastChangedDate$ 5-Dec-2006
;$LastChangedRevision$ Added comments
;$URL$ mailto:jimm@ssl.berkeley.edu
;
;-
Function thm_ui_mag_stationlist

  RETURN, ['ALL', 'BMLS', 'CCNV', 'DRBY', 'EKAT', 'FSIM', 'FSMI', 'FYKN', $
           'FYTS', 'GAKO', 'GBAY', 'GILL', 'HOTS', 'KAPU', 'KIAN', 'LOYS', $
           'MCGR', 'PGEO', 'PINA', 'PINE', 'PTRS', 'RANK', 'RMUS', 'SWNO', $
           'TAHO', 'TBD1', 'TPAS', 'UKIA', 'WHIT']
End
