;+
;NAME:
; thm_ui_update_history
;PURPOSE:
; Adds the string input to the state structure history array
;INPUT:
; string = a string to add to the history array
; state = the themis_w state structure, 
;OUTPUT:
; state.history is updated
;HISTORY:
; sep-2006, jmm, jimm@ssl.berkeley.edu
;
;$LastChangedBy$ J McTiernan
;$LastChangedDate$ 5-Dec-2006
;$LastChangedRevision$ Added comments
;$URL$ mailto:jimm@ssl.berkeley.edu
;
;-

Pro thm_ui_update_history, string, state
  history = *state.history
  If(is_string(history[0])) Then Begin
    If(strupcase(strcompress(/remove_all, history[0])) Eq 'NONE') Then Begin
      history = temporary(string)
    Endif Else Begin
      history = [temporary(history), temporary(string)]
    Endelse
    ptr_free, state.history
    state.history = ptr_new(history)
  Endif Else message, /info, 'No history?'
  Return
End

