;+
;Procedure: THM_LOAD_FGM
;
;Purpose:  Loads THEMIS fluxgate magnetometer data
;
;keywords:
;   TRANGE= (Optional) Time range of interest  (2 element array).
;   /VERBOSE : set to output some useful info
;   /ALL     : get all All SKY keogram stations
;Example:
;   thg_load_fgm,/all
;Notes:
;  This routine is (should be) platform independent.
;
;
; $LastChangedBy: davin-win $
; $LastChangedDate: $
; $LastChangedRevision:  $
; $URL $
;-
pro thm_load_fgm,scs,all=all,files=files,trange=trange,verbose=verbose

themis_init

if not keyword_set(scs) then scs = ['a','b','c','d','e']

for s=0,n_elements(scs)-1 do begin
     sc = scs[s]
     relpath = 'th'+sc+'/l1/fgm/'
     prefix = 'th'+sc+'_l1_fgm_'
     ending = '_v01.cdf'
     ending = '.cdf'           ;  version missing on these files. This should be fixed!
     relpathnames = file_dailynames(relpath,prefix,ending,/YEARDIR,trange=trange)

     files = file_retrieve(relpathnames,local_root=!themis.local_data_dir,remote_root=!themis.remote_data_dir)
     cdf2tplot,file=files,all=all,verbose=verbose     ; load data into tplot variables

endfor

end
